// $Id: image.cc,v 1.7 2002/12/14 11:19:11 gordon Exp $	
//
// Copyright (C) 2002 Gordon Fraser <gordon@debian.org>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// See the COPYING file for more details
//

#include "image.h"

//--------------------------------------------------------------------
Image::Image(const char* file_name, XHandler* x_handler)
{
//   std::cout << "Image::Image(" << file_name << ", " << "...)" << std::endl;
  pixmap_ = x_handler->readPixmapFile((char*)file_name);

//   int status;
//   XpmAttributes attributes;
//   XpmIcon         wmgen;
//   wmgen.attributes.valuemask |= (XpmReturnPixels | XpmReturnExtensions);

//   std::cout << "Image::Image(" << file_name << ", " << display << "," << window << ")" << std::endl;

//   if(!display)
//     {
//       std::cerr << "Invalid Display " << std::endl;
//       exit(1);
//     }

  //  attributes.valuemask = 0;

//   Pixmap p;
  

  /* create a pixmap from the XPM file */
  //			       XRootWindowOfScreen(display),

//   status = XpmReadFileToPixmap(display,
// 			       XDefaultScreen(display),
//				(char*)file_name,
// 			       dummy, &pixmap_, NULL, &attributes);
  
//     status = XpmReadFileToPixmap(display, 
//  				RootWindow(display, DefaultScreen(display)),
//  				"/home/gordon/.wmmixer_theme/background.xpm",
//  				&wmgen.pixmap, &wmgen.mask, &wmgen.attributes);

//     status = XpmReadFileToPixmap(display, 
//  				window,
//  				"/home/gordon/.wmmixer_theme/background.xpm",
//  				&p, NULL, NULL);
				
//   if (status != XpmSuccess)
//     {
//       std::cerr << "XpmError: " << XpmGetErrorString(status) << " ("<< file_name << ")" << std::endl;
//       exit(1);
//     }

}


//--------------------------------------------------------------------
Image::Image(const char* file_name, XHandler* x_handler,
	     unsigned* width, unsigned* height, Pixmap* pixmap)
{
//   std::cout << "Image::Image(" << file_name << ", " << "...)" << std::endl;
  pixmap_ = x_handler->readPixmapFile((char*)file_name, width, height, pixmap);

}

//--------------------------------------------------------------------
Image::~Image()
{
  delete pixmap_;
}

//--------------------------------------------------------------------
Pixmap* Image::getPixmap() const
{
  return pixmap_;
}

